<?xml version='1.0'?>

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:csc="http://www.csclub.uwaterloo.ca/cow" 
    extension-element-prefixes="csc">

<xsl:template match="cscpage">
  <html>
    <head>
      <title><xsl:value-of select="@title" /></title>
      <link rel="stylesheet" href="{$pre}default.css" type="text/css" />
    </head>
    <body><div>
      <a name="pagetop" id="pagetop" />
      <xsl:apply-templates select="biglogo" />
      <xsl:apply-templates select="header">
        <xsl:with-param name="title" select="@title" />
      </xsl:apply-templates>
      <xsl:apply-templates select="section|menu" />
      <xsl:apply-templates select="footer" />
    </div></body>
  </html>
</xsl:template>

<xsl:template match="section">
  <xsl:if test="@id != ''">
    <a id="{@id}" />
  </xsl:if>
  <h2><xsl:value-of select="@title" /></h2>
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="biglogo" name="biglogo">
  <div class="biglogo">
    <table cellspacing="0" cellpadding="0" border="0">
      <tr><td>
        <a href="http://www.uwaterloo.ca/"><img 
           src="{$pre}logos/uw_logo_100_68.gif" alt="University of Waterloo"
           width="100" height="68" /></a>
      </td><td>
        <a href="http://www.acm.org"><img width="82" height="103" 
           src="{$pre}logos/acm_logo.gif"
           alt="A Student Chapter of the ACM" /></a>
      </td></tr>
    </table>
  </div>
</xsl:template>

<xsl:template match="header" name="header">
  <div id="vfeed" />
  <div class="webtitle"><div class="webtitle-inner">
    <table cellpadding="0" cellspacing="0" border="0"><tr>
      <td>
        <a href="{$pre}"><img src="{$pre}logos/csc_80_35_white.png" 
            alt="CSC Logo" /></a>
      </td><td>
        <a href="{$pre}"><img src="{$pre}logos/csc_title.png" 
            alt="CSC Title" /></a>
      </td><td valign="top" align="right" />
    </tr></table>
  </div></div>
  <table cellspacing="0" cellpadding="2" border="0" width="100%" 
      class="template-header">
    <tr>
      <td colspan="2" class="pagetitle"><xsl:value-of select="@title" /></td>
    </tr>
    <tr>
      <td colspan="2">
        <xsl:apply-templates
           select="document('../directory.xml')/directory" />
      </td>
    </tr>
  </table>
</xsl:template>

<xsl:template match="footer" name="footer">
  <a href="#pagetop" class="pagetop">Go to top</a>
  <div class="footer">
  <xsl:call-template name="menu" />
  <p>This page was generated on <xsl:value-of select="$date" /> at 
    <xsl:value-of select="$time" />.</p>
  <p class="infobox">
    The overall layout is designed specially for Mozilla-based browsers.
    It is also printer-friendly. Please report any difficulty you may find, 
    including the version of your browser and your operating system.
    to the <a href="mailto:www@csclub.uwaterloo.ca">Webmaster</a>.
  </p>
  <p>
    <a href="http://validator.w3.org/check?uri=referer">
    <img src="http://www.w3.org/Icons/valid-xhtml10"
        alt="Valid XHTML 1.0 Strict" height="31" width="88" />
    </a>
    <a href="http://jigsaw.w3.org/css-validator/check/referer">
      <img style="border:0;width:88px;height:31px"
          src="http://jigsaw.w3.org/css-validator/images/vcss" 
          alt="Valid CSS!" />
    </a>
  </p>
  <div class="footerlogo"><a href="{$pre}"><img src=
      "{$pre}logos/csc_80_35.png" alt="CSC" /></a></div>
    <p>
      Copyright
      <xsl:text disable-output-escaping="yes">&amp;copy;</xsl:text>
      2002<xsl:text disable-output-escaping="yes">&amp;ndash;</xsl:text>2007
      Computer Science Club of the University of Waterloo.<br />
      KDE Crystal theme icons are copyright
      <xsl:text disable-output-escaping="yes">&amp;copy;</xsl:text>
      2002 and following years KDE Artists. Sunflower image is copyright Manan 
      Tuli. Horde image is copyright horde contributors. Both are available 
      under the <a href="http://creativecommons.org/licenses/by-sa/2.5/">
      Creative Commons::Attribution-ShareAlike license</a>. Gopher image is 
      copyright Elron6900 (Flickr) and is available under the <a
      href="http://creativecommons.org/licenses/by-nc/2.0/">
      Attribution-NonCommercial 2.0</a> license.
    </p>
  </div>
</xsl:template>

<xsl:template match="news-and-events">
  <table cellspacing="1" cellpadding="2" class="newsandevents">
    <xsl:call-template name="events" />
    <xsl:call-template name="news" />
 </table>
</xsl:template>

</xsl:stylesheet>
